# Скрипты для обучения bert предсказанию кредитного дефолта по данным кредитных историй

https://ods.ai/competitions/dl-fintech-bki 

```python
# single gpu версия
python src/bert_training.py fold3_18l_dyt_04_04_3750
# data parallel версия 
CUDA_VISIBLE_DEVICES=0,1,2,3,4,5,6,7 python src/bert_training_dp.py fold3_18l_dyt_04_04_3750
# distributed data parallel версия 
CUDA_VISIBLE_DEVICES=0,1,2,3,4,5,6,7 torchrun --standalone --nproc-per-node=8 src/bert_training_ddp.py fold3_18l_dyt_04_04_3750
```

Логирование ведётся в tensorboard в папку `./runs/`. В папку с логами при запуске копируется текущая версия скрипта. Чекпоинты моделей сохраняются в папку `./checkpoints/`. 

Разбиение на обучающую и тестовую выборки осуществляется скриптом `train_test_split.py`. 
